Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### camera()
Examples |
    size(100, 100, P3D);
    noFill();
    background(204);
    camera(70.0, 35.0, 120.0, 50.0, 50.0, 0.0,
           0.0, 1.0, 0.0);
    translate(50, 50, 0);
    rotateX(-PI/6);
    rotateY(PI/3);
    box(45);
Description | Sets the position of the camera through setting the eye position, the center of the scene, and which axis is facing upward. Moving the eye position and the direction it is pointing (the center of the scene) allows the images to be seen from different angles. The version without any parameters sets the camera to the default position, pointing to the center of the display window with the Y axis as up. The default values are camera(width/2.0, height/2.0, (height/2.0) / tan(PI*60.0 / 360.0), width/2.0, height/2.0, 0, 0, 1, 0). This function is similar to gluLookAt() in OpenGL, but it first clears the current camera settings.
Syntax |
    camera()
    camera(eyeX, eyeY, eyeZ, centerX, centerY, centerZ, upX, upY, upZ)
Parameters |
eyeX | float: x coordinate for the eye
eyeY | float: y coordinate for the eye
eyeZ | float: z coordinate for the eye
centerX | float: x coordinate for the center of the scene
centerY | float: y coordinate for the center of the scene
centerZ | float: z coordinate for the center of the scene
upX | float: usually 0.0, 1.0, or -1.0
upY | float: usually 0.0, 1.0, or -1.0
upZ | float: usually 0.0, 1.0, or -1.0
Usage | Web & Application
Related | camera() endCamera() frustum()

Updated on September 20, 2006 12:39:28pm PDT